Subject: New issues list?

From: "Noveck, Dave" <[email-masked]>
Date: Thu, 21 Nov 2002 06:58:47 -0800

There have been a number of things brought up recently where
the spec is either unclear, contradicts itself, or doesn't
quite say the right thing.  I don't think any of these require
any sort of immediate spec action but we'd like to make sure
they get dealt with at some point.  This could be when we go
to Draft Standard or when there is a minor version, or maybe
in an implementation RFC.  The specific time might be different
for different issues.  In any case, it would be good if we had
a list somewhere so that we don't lose track of any of these,
and so that implementors could check to see whether the issue  
that they have discovered is a known one.

So far, the stuff I know about is:

     The issue Eric brought up about the unsolicited OPEN-CONFIRM.

     The question of what restrictions exist (or may be asssumed
     to exist by a client :-) with regard to the public file handle.

     The issue that Carl brought up about security boundaries and
     READDIR.

Anyone know of other stuff that should be on the list?

---

From: eric kustarz <[email-masked]>
Date: Thu, 21 Nov 2002 11:02:38 -0800

> Anyone know of other stuff that should be on the list?

There's a small problem with Section 8.5 of the spec:

It reads
...
"An OPEN with a valid clientid.

Any operation made with a valid stateid (CLOSE, DELEGPURGE, ...."

Only problem is that DELEGPURGE doesn't have a stateid, it has a
clientid, so it should be grouped with OPEN.  Same thing for RENEW.

eric

---

From: Spencer Shepler <[email-masked]>
Date: Thu, 21 Nov 2002 13:13:19 -0600

> Anyone know of other stuff that should be on the list?

Good suggestion, Dave.  I will start building a FAQ for the upcoming
NFSv4 RFC that will act as an issues list and a way to reflect WG
consensus on these types of items so that if other implementors have
the questions it will be easier to find the items than searching the
mail archive. :-)

-- 
Spencer